Bug 501852 - [ml_IN] need extra backspace press to delete this string of characters
[ml_IN] need extra backspace press to delete this string of characters
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-20 22:51 EDT by koka xiong
Modified: 2011-05-25 04:34 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-25 04:34:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 345066 None None None Never

  None (edit)
Description koka xiong 2009-05-20 22:51:09 EDT
DDescription of problem:
In gedit input U+0D07 U+0D28 U+0D4D U+200D U+0D38 U+0D4D U+0D31 U+0D4D U+0D31 U+0D4B U+0D33 U+0D4D U+200D with RAW CODE,then press backspace key,it needs press 14 times

Version-Release number of selected component (if applicable):
pango-devel-1.22.1-1.fc10.i386
pango-1.22.1-1.fc10.i386
pangomm-2.14.0-2.fc10.i386

How reproducible:
always

Steps to Reproduce:
1.In gedit input U+0D07 U+0D28 U+0D4D U+200D U+0D38 U+0D4D U+0D31 U+0D4D U+0D31 U+0D4B U+0D33 U+0D4D U+200D+0D21 U+0D4D U+0D30 U+0D48 U+0D35 U+0D4D with RAW CODE,press backspace key

Actual results:
It need press 14 times backspace key to delete the char

Expected result:
It should delete the char with 13 times backspace key

Additional info:
Comment 1 Jens Petersen 2009-05-20 23:37:17 EDT
Can you paste the utf8 string into a comment here, please.
Comment 2 Jens Petersen 2009-05-20 23:38:55 EDT
The bug is against F10?
Comment 3 koka xiong 2009-05-21 03:49:26 EDT
the bug is against F10,
when I input  0D07 0D28 0D4D 200D 0D38 0D4D 0D31 0D4D 0D31
0D4B 0D33 0D4D 200D 0D21 0D4D 0D30 0D48 0D35 0D4D,it will generate ഇന്‍സ്റ്റോള്‍ ,
I need press 14 times backspace key to delete it.I should use 13 times backspace key to delete it.
Comment 4 Jens Petersen 2009-05-21 06:02:38 EDT
So F11 is ok?
Comment 5 Pravin Satpute 2009-06-02 05:23:10 EDT
(In reply to comment #3)
> the bug is against F10,
> when I input  0D07 0D28 0D4D 200D 0D38 0D4D 0D31 0D4D 0D31
> 0D4B 0D33 0D4D 200D 0D21 0D4D 0D30 0D48 0D35 0D4D,it will generate
> ഇന്‍സ്റ്റോള്‍ ,

'pasted string' and 'number of rawcode character' (19) looks different from one which reported in description of problem
Comment 6 Rahul Bhalerao 2009-06-02 05:29:01 EDT
The Unicode character sequences given only in the initial "Description of Problem" are correct. Everywhere else 19 characters are mentioned. 

The real problem is of split matra. The 10th character U+0D4B, is split into two characters, U+0D47 and U+0D3E at the time of rendering, which is adding to the extra backspace. 

This does not harm the usability in any way, hence this should not be considered as a bug, unless there is an authentic report of the script behaviour given by any user of the script.
Comment 7 Ani Peter 2009-11-04 05:50:45 EST
Any updates?
Comment 8 Pravin Satpute 2009-11-12 01:16:14 EST
there is problem with pango
its doing normalization of 0d4a  kind of characters into 

0d46 + od3e
so while backspacing it takes one extra space

there are some bug files for same thing, i will try to find such bug and close this one
Comment 9 Bug Zapper 2009-11-18 06:59:42 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Pravin Satpute 2009-11-24 00:34:17 EST
hmm, this bug is still there in rawhide
might be it will get fixed auto with harfbuzz and pango merger
Comment 11 Bug Zapper 2010-03-15 08:37:09 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Akira TAGOH 2011-05-24 08:36:17 EDT
Is this issue known in upstream? otherwise can you please file a bug upstream? also good to test this on f15 too.
Comment 13 Pravin Satpute 2011-05-25 04:34:05 EDT
Yes, This is fixed now !!

pango-1.28.4-1.fc15.x86_64

step to check

1) enter Unicode 0D4A with ibus-rawcode or any other method
2) press backspace
3) complete character getting deleted (earlier it was required two backspaces)

upstream bug id https://bugzilla.gnome.org/show_bug.cgi?id=345066

Note You need to log in before you can comment on or make changes to this bug.